#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type'
require 'puppet_x/enterprisemodules/iib/commands'

Puppet::Type.type(:iib_security_profile).provide(:simple) do
  include EasyType::Provider
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc 'Manage different IIB Broker Security Profiles. '

  mk_resource_methods
end
