#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:restart) do
  include EasyType

  desc <<-DOC
Specfies if you want to automaticaly want to stop the broker or the server before
applying the value and start again after the change has been applied.


    iib_property {'set_node_cache_policy':
      restart   => true,
    }
  DOC

  newvalues(:true, :false) # rubocop:disable Lint/BooleanSymbol

  data_type('Optional[Boolean]')

  defaultto(:false) # rubocop:disable Lint/BooleanSymbol
end
