#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:application) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DOC
This shared parameter specifies application for iib_server in IBM IIB realm.

In example

    'NODE1/server_1/Hello'

  DOC

  data_type('String')

  isnamevar
end

autorequire(:iib_application) { "#{broker}/#{server}/#{application}" }
