History
========

### 28-12-2018 Version 1.3.0

- [ace] Fix ace check in iib_server (#72)
- [test] Acceptance node switch to version  10 (#71)
- [ace] Fix property mapping
- [ace] Update property mapping
- [ace] Fix for server path not appearing
- [ace] Add recursive lookup and set for yaml
- [ace] Add management of properties
- [iib_broker] Fix http connector lookups
- [iib_broker] Add http_connector_enable_lookups
- [core] Fix Puppet 6 compatibility. Compare with symbols

### 28-12-2018 Version 1.2.0

- [relase] change easy_type version requirement
- [core] include support for resource_api

### 14-11-2018 Version 1.1.0

- [iib_security_profile] Add old Ruby compatibility
- [iib_broker] Fix removal when broker is stopped
- [iib_security_profile] Add boolean property support
- [iib_broker] Add port validation for http_listener_https_connector_port
- [iib_broker] Add http_listener_https_connector_port
- [iib_security_profile] Multiple ways of escaping properties
- [broker] Change keystore propeties naming
- [broker] Add keystore and truststore management
- [core] Fix issue when property is not in the output
- [iib_credential] Initial implementation
- [acceptance] Use puppet 6 for acceptance tests
- [core] Add Puppet 6 unit tests
- [iib_property] Fix setting values with comma’s

### 14-04-2018 Version 1.0.10

- [iib_property] Add support for string value that need to be quoted when passed to IIB
- [development] Update gems. Pin mocha to 1.3.0 for now because of a bug.
- [test] Update tested Puppet versions
- [sync] Update configuration files using module sync
- [sync] Update rubocop setup

### 09-02-2018 Version 1.0.9

- [tasks] Add Puppet tasks for basic resources
- [release] Fix link to license in readme

### 26-01-2018 Version 1.0.8

- [release] Add license notice, license text and readme

### 24-01-2018 Version 1.0.7

- [iib_server] Fix http_connector_port & https_connector_port

### 23-01-2018 Version 1.0.6

- [iib_server] Fix http_port_connector property
- [release] Add secure files

### 06-11-2017 Version 1.0.5

- [core] Don’t cd to current_working directory when executing cmd

### 06-09-2017 Version 1.0.4

- [core] Update dependency for easy_type
- [docs] Change wording for properties

### 14-06-2017 Version 1.0.3

- [iib_broker] Make default for function_level all. Closes #41

### 24-05-2017 Version 1.0.2

- [iib_server] Fix invalid characters
- [docs] Change minor descriptions in documentation
- [spec] Refactor shared broker property acceptance spec
- [spec] Refactor global broker property acceptance spec
- [spec] Update vagrant acceptance box name and change acceptance spec
- [iib_broker] Fix global property compoenent modifier setting
- [iib_broker] Fix broker autostart mechanism
- [iib_broker] Add the broker proper starting
- [iib_property] Change on_modify
- [iib_property] Change on_prefetch
- [iib_node] Add regexp component dict
- [iib_property] Add parsing value for iib_server prefetch
- [core] Update gemfile
- [unit] Fix tests to latest code
- [iib_property] Fix whitespace and comments
- [core] Require version 2.2.9 of easy_type
- [iib_property] fix inner workings Always fetch the current value
- [iib_broker] Add support for direct removal add property function_level
- [iib_broker] Fix helpl texts for global properties
- [iib_broker] Fix global property with restart
- [iib_broker] Fix service_federation_scmp_enabled propery

### 19-05-2017 Version 1.0.1

- [iib_node] Add default broker start
- [iib_node] Add on_create support for global properties
- [iib_node] Add type checking for restart property
- [iib_node] Add restart parameter
- [iib_node] Add httplistener properties
- [iib_node] Add manageable http_listener_enable_ssl_connector shared property
- [iib_node] Add running broker check for shared property
- [iib_node] Add first shared server property mapping
- [iib_node] Rename broker properties for consistency
- [iib_node] Rename property type to server properties
- [iib_node] Rename broker_property to global_broker_property
- [iib_node] Add shared property output
- [iib_node] Add type checking and update documentation
- [docs] Update broker documentation with manageable properties
- [iib_node] Cover global property listing for selected node
- [iib_node] Add first property listing for selected node
- [core] Fix PE compatibility
- [docs] Update iib_property documentation
- [iib_property] Add global and with objectName property setting for node
- [docs] Update iib_property docs
- [iib_property] Add node property management

### 13-05-2017 Version 1.0.0

- Initial release

### 21-03-2017 Version 0.0.1

- Initial version
