#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:broker) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DOC
This parameter specifies custom name for iib_broker in IBM IIB realm.

In example

    'NODE1'

  DOC

  data_type('String')

  isnamevar
end
