#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password) do
  include EasyType::EncryptedProperty
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-DOC
  The password registered for this resource.
  DOC

  data_type('Optional[String]')

  def insync?(_is)
    output = mqsireportdbparms("#{resource.broker} -n #{resource.resource_name} -u '#{resource.username}' -p '#{resource.password}'", { :instance => resource.instance })
    output =~ /The password you entered.*is correct/
  end
end
