#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:deployment_name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DOC
This parameter specifies custom name for iib_deployment in IBM IIB realm.

In example

    'Hello'

  DOC

  data_type('Optional[String]')

  isnamevar
end
