#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DOC
This parameter specifies custom name for iib_instance.

  DOC

  isnamevar

  data_type('String')

  to_translate_to_resource do |raw_resource|
    raw_resource[self.name]
  end
end
