#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:component) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DOC
  This parameter specifies the component of the IIB broker or server you
  want to manage.

    iib_property {'set_node_cache_policy':
      component => 'NODE/Broker',
    }

  DOC

  data_type('Optional[String]')
end
