#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:scope) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DOC
This parameter specifies uniqe custom name for iib_property in Puppet realm.


    iib_property {'set_node_cache_policy':
      scope     => 'iib8/NODE1',
    }

  DOC

  data_type('Optional[String]')
end
