#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:security_profile) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DOC
This parameter specifies custom name for iib_security_profile in IBM IIB realm.

In example

    'PROFILE_1'

  DOC

  isnamevar

  data_type('String')
end
